package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 管理端设备操作枚举类
 */
@AllArgsConstructor
@Getter
public enum EOperationState {

    /**
     * 开机命令
     */
    OPEN("open", 1,"开机命令"),
    /**
     * 关机命令
     */
    SHUTDOWN("off", 2,"关机命令"),
    /**
     *  解锁命令
     */
    OFFLOCK("off_lock", 3,"解锁命令"),
    /**
     * 锁定命令
     */
    ONLOCK("on_lock", 4,"锁定命令"),
    ;

    private final String value;
    private final int valueInt;
    /**
     * 显示标签
     */
    private final String label;

}

